Skip to main content

getindexinfo

getindexinfo ( "index_name" )

Returns the status of one or all available indices currently running in the node.

Argument #1 - index_name

Type: string, optional

Filter results for an index with a specific name.

Result

{ (json object)
"name" : { (json object) The name of the index
"synced" : true|false, (boolean) Whether the index is synced or not
"best_block_height" : n (numeric) The block height to which the index is synced
}
}

Examples

reddcoin-cli getindexinfo
curl --user myusername --data-binary '`{"jsonrpc": "1.0", "id": "curltest", "method": "getindexinfo", "params": []}`' -H 'content-type: text/plain;' http://127.0.0.1:45443/
reddcoin-cli getindexinfo txindex
curl --user myusername --data-binary '`{"jsonrpc": "1.0", "id": "curltest", "method": "getindexinfo", "params": [txindex]}`' -H 'content-type: text/plain;' http://127.0.0.1:45443/